=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(movemap)

add_executable(updatepointoccupancy updatepointoccupancy.cpp)
