=== debian/changelog ===
ros-indigo-local-map (0.1.8-0trusty) trusty; urgency=high

  * Unchanged

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 20 Jan 2015 23:00:00 -0000

ros-indigo-local-map (0.1.2-0trusty) trusty; urgency=high

  * local_map: fix message_runtime in catkin_package
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 13 Jan 2015 23:00:00 -0000

ros-indigo-local-map (0.1.1-0trusty) trusty; urgency=high

  * First public release for Indigo
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Sun, 11 Jan 2015 23:00:00 -0000
