=== debian/control ===
Source: ros-indigo-local-map
Section: misc
Priority: extra
Maintainer: Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-angles, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-lama-msgs, ros-indigo-map-ray-caster, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://wiki.ros.org/local_map
Standards-Version: 3.9.2

Package: ros-indigo-local-map
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-angles, ros-indigo-geometry-msgs, ros-indigo-lama-msgs, ros-indigo-map-ray-caster, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: The local_map package The local_map package takes as input a LaserScan message and outputs a local map as OccupancyGrid. The local map orientation is the same as the one of the global frame.
